Bug 1695438 - Also copy ldlinux.c32
Summary: Also copy ldlinux.c32
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-ironic
Version: 15.0 (Stein)
Hardware: ppc64le
OS: Linux
high
high
Target Milestone: beta
: 15.0 (Stein)
Assignee: Tony Breeds
QA Contact: nlevinki
URL:
Whiteboard:
Depends On:
Blocks: 1667964
TreeView+ depends on / blocked
 
Reported: 2019-04-03 06:05 UTC by Tony Breeds
Modified: 2019-09-26 10:49 UTC (History)
7 users (show)

Fixed In Version: openstack-ironic-12.1.2-0.20190615000404.c3cbdb5.el8ost
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-21 11:21:05 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 649507 0 None MERGED Also copy ldlinux.c32 2020-03-24 17:12:02 UTC
OpenStack gerrit 654304 0 None MERGED Also copy ldlinux.c32 2020-03-24 17:12:02 UTC
Red Hat Product Errata RHEA-2019:2811 0 None None None 2019-09-21 11:21:23 UTC

Description Tony Breeds 2019-04-03 06:05:10 UTC
Description of problem:  OpenStack systems that are going to pxe boot x86_64 systems will fail with 'unable to load /ldlinux.c32' during pxeboot.

puppet-ironic should copy that file for RHEL >= 8

Comment 4 Alistair Tonner 2019-07-11 19:19:51 UTC
Puddle: RHOS_TRUNK-15.0-RHEL-8-20190708.n.2
installed repositories (rhel-8.0):
  15-trunk
  ceph-4
  ceph-osd-4
  rhel-8.0

puppet-ironic.noarch 14.4.1-0.20190423121513.cd9417e.el8ost

Code Verified ;

[root@undercloud-0 ~]# podman exec -u root -i --privileged -t -u root ironic_pxe_http /bin/bash
()[root@undercloud-0 /]# ls -l /tftpboot/ldlinux.c32
-rw-r--r--. 1 root root 116064 Aug 12  2018 /tftpboot/ldlinux.c32
()[root@undercloud-0 /]#

[root@undercloud-0 ~]# podman exec -u root -i --privileged -t -u root ironic_pxe_tftp /bin/bash
()[root@undercloud-0 /]# ls -l /tftpboot/ldlinux.c32
-rw-r--r--. 1 root root 116064 Aug 12  2018 /tftpboot/ldlinux.c32
()[root@undercloud-0 /]#

Comment 8 errata-xmlrpc 2019-09-21 11:21:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:2811


Note You need to log in before you can comment on or make changes to this bug.